Subject: Re: ppc vs. powerpc status update, please

From: Jon Loeliger <[email-masked]>
Date: Sat, 01 Jul 2006 10:36:55 -0500

So, like, the other day Guennadi Liakhovetski mumbled:
> What's the _current_ trend with those 2 archs, specifically,respecting 
> embedded boards, the make ARCH=powerpc ***_defconfig for a board under ppc 
> "just should work" doesn't seem to hold and I didn't find any provisions 
> for that. (I read in an earlier post it "should"). Are ppc platforms still 
> supposed to migrate to under powerpc? I am not quite clear where to put 
> all board-specific stuff then, in that post it was told "you almost don't 
> need anything, just use device tree and a correct CPU support, and put 
> your specific _drivers_ somewhere". How is it in reality?

The trend is still happening.  Things should be migrated out
of arch/ppc and into arch/powerpc.  For example, I just 
introduced a new 86xx board port only under arch/powerpc.

Please feel free to help migrate support into arch/powerpc!

jdl